{% load i18n %}

<table class="table table-hover">
  <thead>
  <tr>
    <th>{% translate 'processing line'|capfirst %}</th>
    <th>{% translate 'treatment type'|capfirst %}</th>
    {% if not compact %}
      <th>{% translate 'capacity'|capfirst %}</th>
    {% endif %}
    <th>{% translate 'location'|capfirst %}</th>
    <th>{% translate 'operations'|capfirst %}</th>
    {% if not compact %}
      <th></th>
    {% endif %}
  </tr>
  </thead>
  <tbody>
  {% for processing_line in processing_lines %}
    <tr onclick="window.location='{{ processing_line.get_absolute_url }}'">
      <td>{{ processing_line.name }}</td>
      <td>
        {% if processing_line.treatment_type %}
          <a href="{{ processing_line.treatment_type.get_absolute_url }}">{{ processing_line.treatment_type }}</a>
        {% else %}
          {% translate 'no treatment defined'|capfirst %}
        {% endif %}
      </td>
      {% if not compact %}
        <td>
          {% if processing_line.capacity == 0 %}
            {% translate 'unlimited'|capfirst %}
          {% else %}
            {{ processing_line.capacity }}
          {% endif %}
        </td>
      {% endif %}
      <td>
        {% if processing_line.location %}
          <a href="{{ processing_line.location.get_absolute_url }}">{{ processing_line.location }}</a>
        {% else %}
          {% translate 'no location'|capfirst %}
        {% endif %}
      </td>
      <td>
        {% if processing_line.running %}<span class="text-success">{% translate 'running'|upper %}</span>
        {% else %}<span class="text-danger">{% translate 'closed'|upper %}</span>
        {% endif %}
      </td>
      {% if not compact %}
        <td class="text-end">
          {% if perms.treatments.change_processingline %}
            <a href="{% url 'treatments:change-processing-line' processing_line.id %}"
               class="btn-sm btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
          {% endif %}
          {% if perms.treatments.delete_processingline %}
            <a href="{% url 'treatments:delete-processing-line' processing_line.id %}"
               class="btn-sm btn-outline-danger mx-1"><i class="bi bi-trash"></i></a>
          {% endif %}
        </td>
      {% endif %}
    </tr>
  {% endfor %}
  </tbody>
</table>
